package com.tuoheng.admin.service.user;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tuoheng.admin.entity.User;
import com.tuoheng.admin.mapper.UserMapper;
import com.tuoheng.admin.service.user.IUserService;
import com.tuoheng.admin.service.user.query.QueryUserListByDeptIdService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 后台用户管理表 服务实现类
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
@Slf4j
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService {

    @Autowired
    private QueryUserListByDeptIdService queryUserListByDeptIdService;

    /**
     * 根据部门id查询用户列表
     */
    @Override
    public JsonResult getListByDeptId(String deptId) {
        return queryUserListByDeptIdService.getListByDeptId(deptId);
    }

}
